{% extends "starwars/base.html" %}

{% block content %}
  <h2>{{ collection.file }}</h2>

  <table class="table">
    <thead>
      <tr>
        {% for col in header %}
          <th scope="col">
            <a href="{% url 'value_count' id=collection.id %}?columns={{ col }}">{{ col }}</a>
          </th>
        {% endfor %}
      </tr>
    </thead>
    <tbody>
      {% for row in body %}
        <tr>
        {% for value in row %}
          <td>{{ value }}</td>
        {% endfor %}
        </tr>
      {% endfor %}
    </tbody>
  </table>

  {% if next_show_rows %}
  <a href="?show_rows={{ next_show_rows }}"><button class="btn btn-primary">Load more</button></a>
  {% endif %}

{% endblock %}
